# Jaxer.DB.SQLite : Object
Return to: Jaxer Framework index

Namespace that holds the SQLite implementation of the Jaxer DB API.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static createDB(Object connectionParams) : Jaxer.DB.MySQL.Connection Creates a new database file according to connectionParams.PATH | Show Details | 1.0 | no

Parameters

Object | connectionParams | A hashmap of parameters needed to connect to the database. The properties required of connectionParams are: PATH: the path to the file of the database

Returns

Jaxer.DB.MySQL.Connection | Returns an instance of Connection.

static validateConnectionParameters(Object connectionParams) : void Validate the provided connection parameters | Show Details | 1.0 | no

Parameters

Object | connectionParams | A hashmap of parameters needed to connect to the database. The properties required of connectionParams are: PATH: the path to the file of the database

aptana_docs